<!DOCTYPE html>

<html lang="en">

<style>
    input[type=text],
    select {
        width: 100%;
        padding: 12px 10px;
        margin: 8px 0;
        display: inline-block;
        border: 1px solid #ccc;
        border-radius: 4px;
        box-sizing: border-box;
    }
    
    input[type=submit] {
        width: 10%;
        background-color: #4CAF50;
        color: white;
        padding: 14px 20px;
        margin: 8px 0;
        border: none;
        border-radius: 4px;
        cursor: pointer;
    }
</style>

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <title>KESAN</title>


    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="css/heroic.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <title>KESANt</title>
    <link rel="stylesheet" href="css/help_people.css">
    <link rel="stylesheet" href="css/help_people.css">
    <link rel="stylesheet" href="css/animate.css">

</head>

<body>
    <!-- header -->
    <meta charset="utf-8">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <!-- Fixed navbar -->
    <nav class="navbar navbar-default">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
                <a class="navbar-brand" href="/">Kesan</a>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li class="{{ Request::is('/') ? 'active' : '' }}">
                        <a href="/">Beranda</a>
                    </li>

                    <li class="{{ Request::is('about') ? 'active' : '' }}">
                        <a href="/about">Tentang</a>
                    </li>
                    <!--
                    <li class="{{ Request::is('contact_us') ? 'active' : '' }}">
                        <a href="/contact">Contact Us</a>
                    </li>
                    -->
                </ul>
            </div>
            <!-- /.navbar-collapse -->
        </div>
        <!-- /.container-fluid -->
    </nav>


    <section class="animated">
        <div class="container" id="bottom-spacing">
            <div class="row">
                <div class="col-md-12 section-heading text-center">
                    <h2 class="to-animate fadeInUp animated">
                        <font color="#26C55B">ADMINISTRATOR</font>
                    </h2>
                    <div class="row">
                        <p>Selamat Datang, Admin! | <a href="/">Keluar</a> </p>
                        <div class="col-md-8 col-md-offset-2 subtext fadeInUp animated to-animate">
                            <h4>Input Data | Indeks Kepercayaan </h4>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-2">
                    </div>
                    <div class="col-md-8">
                        <div class="fh5co-person text-center fadeInUp animated to-animate">


                            <br>
                            <!-- tabel tampilan -->
                            <table style="width:100%">
                                <tr>

                                    <label for="Input1">Ergonomic Index</label>
                                    <br>
                                    <select class="inputDataKepercayaan" name="ergonomi" id='ergonomi' onchange="roleFunction()">
                                        <option value="0">Distrust  </option>
                                        <option value="1"> Trust </option>
                                        <option value="2"> Over Trust </option> 
                                </select>
                                    <br>
                                    <br>

                                </tr>

                                <tr>
                                    <label for="Input2">Mentality Constraint (MC)</label>
                                    <br>
                                    <select class="inputDataKepercayaan" name="MentalityConstraint" id="MentalityConstraint" onchange="roleFunction()">
                                        <option value="0">Less </option>
                                        <option value="1"> Fair</option>
                                        <option value="2">Good </option>
                                </select>
                                    <br>
                                    <br>

                                </tr>

                                <tr>
                                    <label for="Input3">Benefit Agreement (AG)</label>
                                    <br>
                                    <select class="inputDataKepercayaan" id="benefit" name="benefit" onchange="roleFunction()">
                                        <option value="0"> Disagree </option>
                                        <option value="1"> Fair </option>
                                        <option value="2"> Agree </option>
                                </select>
                                    <br>
                                    <br>

                                </tr>

                                <tr>

                                    <label for="Input4">Preference (PF) </label>
                                    <br>
                                    <select class="inputDataKepercayaan" name="Preference" id="Preference" onchange="roleFunction()">
                                        <option value="0"> Not Important </option>
                                            <option value="1">  Fair </option>
                                            <option value="2"> Important </option>
                                </select>
                                    <br>
                                    <br>

                                </tr>


                            </table>

                            <a href="/admin"><button  class="form-submit-button "  >Kembali</button></a>
                            <button type="submit" class="form-submit-button " onclick="onForm()"> Hitung </button>
                        </div>
                    </div>
                    <div class="col-md-2">
                    </div>
                </div>



            </div>
    </section>
    <div class="container-fluid" id="spacing-bottom">
    </div>
    <!-- Footer -->
    <div class="footer-ex">

        <div class="container">
            <p class="m-0 text-center text-white text-middle">Copyright &copy;2019 KESAN</p>

        </div>
</body>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>

<script>
    function onForm() {
        var allDataKepercayaanPekerja = $('.inputDataKepercayaan');
        var JSONDataPekerja = window.localStorage.getItem('UserData');
        var arrDataKepercayaanPekerja = new Array();
        var totalKepercayaan = 0;
        for (var i = 0; i < allDataKepercayaanPekerja.length; i++) {
            arrDataKepercayaanPekerja[i] = allDataKepercayaanPekerja.eq(i).val();
            totalKepercayaan += parseInt(allDataKepercayaanPekerja.eq(i).val());
        }

        var hasil = '';
        if (totalKepercayaan <= 2) {
            hasil = 'Distrust';
        } else if (totalKepercayaan <= 5) {
            hasil = 'Trust';
        } else if (totalKepercayaan <= 8) {
            hasil = 'Overtrust';
        }

        var JSONIndeks = totalKepercayaan;
        var JSONPekerja = JSON.parse(JSONDataPekerja);
        var Pekerja = JSONPekerja[1];
        var timestamp = new Date().getTime() / 1000;

        $.post("http://kansei-kesan.tp.ugm.ac.id/action.php", {
            isTrust: 1,
            timestamp: timestamp,
            JSONIndeks: JSONIndeks,
            JSONPekerja: Pekerja
        }, function(result) {
            //~ alert(result);
            // var arrResult = JSON.parse(result);
            window.localStorage.setItem("arrResult", result)
            window.location.href = "/kepercayaanResult.html"


        });
    }
</script>


</html>